<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\firm;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\firm\FirmRegisterLists;
use app\adminapi\logic\firm\FirmRegisterLogic;
use app\adminapi\validate\firm\FirmRegisterValidate;


/**
 * FirmRegister控制器
 * Class FirmRegisterController
 * @package app\adminapi\controller\firm
 */
class FirmRegisterController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/12 14:50
     */
    public function lists()
    {
        return $this->dataLists(new FirmRegisterLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/12 14:50
     */
    public function add()
    {
        $params = (new FirmRegisterValidate())->post()->goCheck('add');
        $result = FirmRegisterLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(FirmRegisterLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/12 14:50
     */
    public function edit()
    {
        $params = (new FirmRegisterValidate())->post()->goCheck('edit');
        $result = FirmRegisterLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(FirmRegisterLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/12 14:50
     */
    public function delete()
    {
        $params = (new FirmRegisterValidate())->post()->goCheck('delete');
        FirmRegisterLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/12 14:50
     */
    public function detail()
    {
        $params = (new FirmRegisterValidate())->goCheck('detail');
        $result = FirmRegisterLogic::detail($params);
        return $this->data($result);
    }


}